Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 512120 - enabling desktop effects makes panel drawers "sticky"
Summary: enabling desktop effects makes panel drawers "sticky"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-16 12:56 UTC by Valent Turkovic
Modified: 2018-04-11 12:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 235781
Environment:
Last Closed: 2009-12-18 18:10:52 UTC


Attachments (Terms of Use)
dmesg (deleted)
2009-12-18 12:38 UTC, Valent Turkovic
no flags Details
Xorg.0.log (deleted)
2009-12-18 12:39 UTC, Valent Turkovic
no flags Details

Description Valent Turkovic 2009-07-16 12:56:13 UTC
+++ This bug was initially created as a clone of Bug #235781 +++

Description of problem:
When Desktop Effects are enabled, drawer applets on the panel do not open
properly. They stick partially open and require multiple attempts to get them
open fully.

Version-Release number of selected component (if applicable):
compiz.i386 0.3.6-7.fc7 installed

How reproducible:
Frequent

Steps to Reproduce:
1. create a drawer applet and fill it with multiple application icons
2. enable desktop effects
3. try to open closed drawer applet
  
Actual results:
It will slide open part-way some of the time.

Expected results:
It should slide open always.

--- Additional comment from valent.turkovic@gmail.com on 2007-04-18 05:42:13 EDT ---

I have this issue also, even with the latest updates!


--- Additional comment from valent.turkovic@gmail.com on 2007-04-18 05:44:46 EDT ---

ps. this is a real annoying bug, and makes using gnome drawers almost unusable.

--- Additional comment from mcepl@redhat.com on 2007-08-17 10:48:44 EDT ---

Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.


--- Additional comment from michael.wiktowy@gmail.com on 2007-08-27 18:14:20 EDT ---

Created an attachment (id=174681)
Original xorg.conf file created by anaconda and never edited


--- Additional comment from michael.wiktowy@gmail.com on 2007-08-27 18:15:27 EDT ---

Created an attachment (id=174701)
Xorg.0.log gzipped


--- Additional comment from michael.wiktowy@gmail.com on 2007-08-27 18:16:34 EDT ---

Created an attachment (id=174721)
Xorg.0.log after the xorg.conf file was removed and system rebooted gzipped


--- Additional comment from michael.wiktowy@gmail.com on 2007-08-27 18:22:14 EDT ---

The attachments as requested.
My system is a fresh install of F7 that is up to date.
The problem still exists. I create a drawer applet and fill it with 4+ launchers
form the menu. The drawer opens slowly and not completely. I have moved it
around to different panels to see if that affects anything and now it has
stopped opening altogether ... even after a reboot. The rest of the 3D desktop
effects seem to work well on this video card (Radeon X800XL).

--- Additional comment from mcepl@redhat.com on 2007-08-28 09:14:58 EDT ---

I have here just Radeon X600 but I really cannot reproduce this. I have added
drawer to my panel and four applets there and although opening wasn't immediate
(it took like a second on my dual-processor dual-core computer), but still I
think it was useful.

Handing this to developers and letting them do what they want.

--- Additional comment from michael.wiktowy@gmail.com on 2007-08-28 19:21:34 EDT ---

Just some more info to help narrow things down:
The characteristics of this bug have changed since I first saw it.
Before, the drawer stuck part way periodically.
Now it opens almost fully after a second or so delay but it still covers a small
part of the icon closest to the panel. It also doesn't open at all after a while.

My system is freshly installed from the F7LiveCD so there is no legacy desktop
config cruft lying around that could be causing this. I am using the video
drivers that came with the distro ... no third party binary ones. I just using
the basic compiz ... no beryl installed yet.

--- Additional comment from valent.turkovic@gmail.com on 2007-09-01 05:44:49 EDT ---

Yes the bug is still present.

I updated ranhide with latest patches and the bug is still present.

I removed and reinstalled: compiz, gnome-compiz-manager and gnome-compiz and
still the same issue happens.

Please look at it now.

--- Additional comment from valent.turkovic@gmail.com on 2007-09-01 05:56:03 EDT ---

check out youtube video of this bug:

http://www.youtube.com/watch?v=APTAu4ZRd60

--- Additional comment from mcepl@redhat.com on 2007-09-03 06:38:11 EDT ---

Created an attachment (id=185171)
Local copy in more RH-friendly format

This is pretty good -- I think we've got much better idea, what's the problem.
Just one small problem -- you have discovered some problems with ffmpeg and
playing of SWF files without audio codec. So, I am rather attaching this as
OGG.

--- Additional comment from valent.turkovic@gmail.com on 2008-01-25 21:53:36 EDT ---

I still see this with Fedora 8 with latest updates.

--- Additional comment from valent.turkovic@gmail.com on 2008-01-27 12:04:26 EDT ---

also in rawhide

--- Additional comment from valent.turkovic@gmail.com on 2008-01-27 12:08:33 EDT ---

Created an attachment (id=293080)
Xorg.0.log

I have no xorg.conf file
I use intel video chip on HP Pavillion laptop:

from lspci:

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS,
943/940GML Express Integrated Graphics Controller (rev 03)


--- Additional comment from valent.turkovic@gmail.com on 2008-01-27 12:12:36 EDT ---

ups, last log was with desktop-effects (compiz) disabled. I'll enable them and
reattach the log.

--- Additional comment from valent.turkovic@gmail.com on 2008-01-27 12:14:08 EDT ---

Created an attachment (id=293081)
Xorg.0.log with enabled desktop-effects (compiz)


--- Additional comment from valent.turkovic@gmail.com on 2008-02-02 12:06:37 EDT ---

I got this feedback from Danny Baumann <dannybaumann@web.de> on compiz mailing list:

I had a look into this and it looks like the panel drawer doesn't
properly respond to the _NET_WM_SYNC_REQUEST protocol. Compiz sends out
a sync request, but gets no response from the drawer window. After 1
second, the Compiz internal sync response wait timer times out (and the
resize is carried out), that's the delay you're seeing.
I didn't have the time yet to analyze in-depth why the drawer window is
different from other GTK windows, but maybe someone else has an idea
based on this information.

Kristian and Matej does that give you some ideas?

--- Additional comment from valent.turkovic@gmail.com on 2008-02-04 16:06:52 EDT ---

compiz devels recognised this as a gnome bug and posted it upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=514298

--- Additional comment from valent.turkovic@gmail.com on 2008-02-06 10:33:47 EDT ---

from:
http://bugzilla.gnome.org/show_bug.cgi?id=514298

Comment #2 from wheerdam@gmail.com    (points: 1)
2008-02-06 04:22 UTC [reply]

I can confirm this on Fedora 8 with Compiz running (Gnome 2.20.2). I use nvidia
binary driver.


--- Additional comment from valent.turkovic@gmail.com on 2008-02-06 10:35:26 EDT ---

this should be changed to gnome bug, not compiz

--- Additional comment from mcepl@redhat.com on 2008-02-06 11:27:03 EDT ---

(In reply to comment #20)
> I can confirm this on Fedora 8 with Compiz running (Gnome 2.20.2). I use nvidia
> binary driver.

Sorry, but then such information is just confusing. Binary-only nvidia drvers
behave just so differently, that I would love to keep them outside of this
conversation, please. If you cannot reproduce the bug with open source drivers,
just say nothing please. I am aware that this probably is not driver-specific
bug, but it is enough confusing already.

--- Additional comment from fedora-triage-list@redhat.com on 2008-05-13 22:45:30 EDT ---

Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from fedora-triage-list@redhat.com on 2009-06-09 18:32:26 EDT ---


This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from valent.turkovic@gmail.com on 2009-06-28 05:56:40 EDT ---

This is still a bug on Fedora 11 with all the latest patches

--- Additional comment from valent.turkovic@gmail.com on 2009-06-28 06:32:22 EDT ---

You can see for yourself:
http://www.youtube.com/watch?v=M7mj4uiS9vY

--- Additional comment from fedora-triage-list@redhat.com on 2009-07-14 13:08:44 EDT ---


Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 2 Matěj Cepl 2009-11-05 18:35:00 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 3 Matěj Cepl 2009-11-17 12:02:17 UTC
Switching incorrect assignees to the default one.

Comment 4 Chris Campbell 2009-12-16 18:52:33 UTC
Valent, I know (and have much sympathy, really :) that you have been dealing with this bug for .. years ... but, could you please reverify that it still a problem in an updated Fedora 11 system, or better yet, a fully updated Fedora 12 system? If it still reproduceable, please attach the logs as listed below.



Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Valent Turkovic 2009-12-18 12:37:33 UTC
Yup, I still see this bug in Fedora 12, even if I disable desktop effects you can see how gnome panel drawer gets stuck for a fraction of a second, when I enable desktop effects the issue is more evident because the is gets stuck for 1/2 or full second. It is not a huge bug but annoying one ;)

I changed hardware and now have other laptop and I still see this issue, but it is still Intel graphics so I'm not sure if other graphics chips also have this issue.

I'll attach dmesg and Xorg.0.log file, I have no xorg.conf file.

Comment 6 Valent Turkovic 2009-12-18 12:38:47 UTC
Created attachment 379204 [details]
dmesg

Comment 7 Valent Turkovic 2009-12-18 12:39:54 UTC
Created attachment 379205 [details]
Xorg.0.log

Comment 8 Valent Turkovic 2009-12-18 12:41:13 UTC
smolt HP 5101 laptop profile:
http://www.smolts.org/client/show/pub_2c60eef9-84fc-427c-afaf-a630a49302c4

Comment 9 Chris Campbell 2009-12-18 13:07:46 UTC
Valent, thank you very much for adding these. I can also confirm this bug.
my smolt profile:
http://www.smolts.org/client/show/?uuid=pub_9d037d9d-6ff6-4824-840f-846de619a7c8

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Hamidou Dia 2009-12-18 18:10:52 UTC
Hi Valent, Hi Chris and all.

First at all Valent, I can as well only appreciate your will to chase up this bug.

But this issue has nothing to do with compiz as found out by Danny, that was kind enough to debug this and fill a bug report to upstream gnome as you reported: https://bugzilla.gnome.org/show_bug.cgi?id=514298

This is the place where you need to push (yes, unfortunately knowing that the gnome guys are certainly dedicating a lot of efforts and ressources to the next main release to be ready for septembre and that they might consider this with very low priority).

I am sorry, but I have to close this ticket.

Regards

PS: This is a pure software issue.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.